org.apache.fop.fonts.truetype

## Class GlyfTable

- java.lang.Object
- - org.apache.fop.fonts.truetype.GlyfTable

-     public class GlyfTable
      extends java.lang.Object

  This "glyf" table in a TrueType font file contains information that describes the glyphs. This class is responsible for creating a subset of the "glyf" table given a set of glyph indices.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Set<java.lang.Integer>` | `composedGlyphs` All the glyphs that are composed, but do not appear in the subset.
    `protected java.util.Map<java.lang.Integer,java.lang.Integer>` | `subset`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GlyfTable(FontFileReader in, OFMtxEntry[] metrics, OFDirTabEntry dirTableEntry, java.util.Map<java.lang.Integer,java.lang.Integer> glyphs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addAllComposedGlyphsToSubset()` Adds to the subset, all the glyphs that are composed by a glyph, but do not appear themselves in the subset.
    `protected void` | `populateGlyphsWithComposites()` Populates the map of subset glyphs with all the glyphs that compose the glyphs in the subset.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subset

          protected final java.util.Map<java.lang.Integer,java.lang.Integer> subset

    - #### composedGlyphs

          protected java.util.Set<java.lang.Integer> composedGlyphs

      All the glyphs that are composed, but do not appear in the subset.

  - ### Constructor Detail

    - #### GlyfTable

          protected GlyfTable(FontFileReader in,
                              OFMtxEntry[] metrics,
                              OFDirTabEntry dirTableEntry,
                              java.util.Map<java.lang.Integer,java.lang.Integer> glyphs)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### populateGlyphsWithComposites

          protected void populateGlyphsWithComposites()
                                               throws java.io.IOException

      Populates the map of subset glyphs with all the glyphs that compose the glyphs in the subset. This also re-maps the indices of composed glyphs to their new index in the subset font.
      Throws:
        `java.io.IOException` - an I/O error

    - #### addAllComposedGlyphsToSubset

          protected void addAllComposedGlyphsToSubset()

      Adds to the subset, all the glyphs that are composed by a glyph, but do not appear themselves in the subset.

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.